Bug 975530 - Amount of messages returned by broker staggering in number
Amount of messages returned by broker staggering in number
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 13:25 EDT by Clayton Coleman
Modified: 2015-05-14 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:52:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-18 13:25:06 EDT
When adding a jenkins cartridge, the broker returns the following output.  There is a ton of duplication and unnecessary info that clients have no way to simplify.  The broker and node should agree on what data to return, and simplify.

I would recommend the node *not* display a message about the cart being added, only the info the cart generates.  I would recommend the broker be the one to provide the message about the cart being added:

----------- output of rhc add-cartridge jenkins -a foo --------------

Added jenkins-client-1.4 to application foo


jenkins-client-1.4: Job URL: https://jenkins-abc.dev.rhcloud.com/job/foo-build/

Associated with job 'foo-build' in Jenkins server.
Job URL: https://jenkins-abc.dev.rhcloud.com/job/foo-build/
Jenkins client 1.4 has been added to: foo


---------------------------------------------------------------------

If node only returned

  Associated with job 'foo-build' in Jenkins server.
  Job URL: https://jenkins-abc.dev.rhcloud.com/job/foo-build/

And broker only returned

  Added jenkins-client-1.4 to application foo

then we'd be much better off.
Comment 1 Clayton Coleman 2013-06-18 13:35:59 EDT
Also applies to remove cartridge for Jenkins:

Removed jenkins-client-1.4 from application foo
The corresponding job 'foo-build' in Jenkins has been disabled.
You can re-enable or delete as desired.
Job URL: https://jenkins-abc.dev.rhcloud.com/job/foo-build/
Jenkins client 1.4 has been removed from: foo

The broker should be responsible for messaging about cart removal, the cart should only report about jobs.
Comment 3 Dan McPherson 2013-07-23 13:03:25 EDT
https://github.com/openshift/origin-server/pull/3142
Comment 4 Jianwei Hou 2013-07-24 02:07:15 EDT
Verified on devenv_3545
The duplicate messages are now removed.

Adding jenkins-client:
jenkins-client-1.4 (Jenkins Client 1.4)
---------------------------------------
  Gears:   Located with diy-0.1
  Job URL: https://jks-jhou1.dev.rhcloud.com/job/d1-build/

Associated with job 'd1-build' in Jenkins server.


Removing jenkins-client:
The corresponding job 'd1-build' in Jenkins has been disabled.
You can re-enable or delete as desired.
Job URL: https://jks-jhou1.dev.rhcloud.com/job/d1-build/

Note You need to log in before you can comment on or make changes to this bug.